Bug 200655 - [MAINTAINER] sysutils/py-salt : Update to 2015.5.2
Summary: [MAINTAINER] sysutils/py-salt : Update to 2015.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-05 14:06 UTC by Christer Edwards
Modified: 2015-06-07 11:34 UTC (History)
2 users (show)

See Also:


Attachments
patch (895 bytes, text/plain)
2015-06-05 14:06 UTC, Christer Edwards
no flags Details
QA (342.04 KB, text/plain)
2015-06-05 14:06 UTC, Christer Edwards
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2015-06-05 14:06:26 UTC
Created attachment 157433 [details]
patch

Please see attached patch and QA for the SaltStack 2015.5.2 release.
Comment 1 Christer Edwards 2015-06-05 14:06:42 UTC
Created attachment 157434 [details]
QA
Comment 2 commit-hook freebsd_committer 2015-06-05 18:59:17 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jun  5 18:58:53 UTC 2015
New revision: 388631
URL: https://svnweb.freebsd.org/changeset/ports/388631

Log:
  - Update to 2015.5.2
  - While I'm here, add NO_ARCH

  Changes:	https://github.com/saltstack/salt/blob/develop/doc/topics/releases/2015.5.2.rst
  PR:		200655
  Submitted by:	Christer Edwards <christer.edwards@gmail.com> (maintainer)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-06-05 19:00:10 UTC
Committed. Thanks!
Comment 4 Johan Ström 2015-06-06 12:30:51 UTC
Hi,

I'm having some issues running salt 2015.5.2 on FreeBSD 10.1-RELEASE-p9, and Python 2.7.9. At first I thought it had something to do with running in a jail, but the same issue exists outside of the jail:


---

 # salt-master -d
Traceback (most recent call last):
  File "/usr/local/bin/salt-master", line 9, in <module>
    load_entry_point('salt==2015.5.2', 'console_scripts', 'salt-master')()
  File "/usr/local/lib/python2.7/site-packages/salt/scripts.py", line 50, in salt_master
    master.start()
  File "/usr/local/lib/python2.7/site-packages/salt/cli/daemons.py", line 149, in start
    self.prepare()
  File "/usr/local/lib/python2.7/site-packages/salt/cli/daemons.py", line 130, in prepare
    self.master = salt.master.Master(self.config)
  File "/usr/local/lib/python2.7/site-packages/salt/master.py", line 305, in __init__
    SMaster.__init__(self, opts)
  File "/usr/local/lib/python2.7/site-packages/salt/master.py", line 89, in __init__
    SMaster.aes = multiprocessing.Array(ctypes.c_char, salt.crypt.Crypticle.generate_key_string())
  File "/usr/local/lib/python2.7/multiprocessing/__init__.py", line 260, in Array
    return Array(typecode_or_type, size_or_initializer, **kwds)
  File "/usr/local/lib/python2.7/multiprocessing/sharedctypes.py", line 119, in Array
    lock = RLock()
  File "/usr/local/lib/python2.7/multiprocessing/__init__.py", line 182, in RLock
    from multiprocessing.synchronize import RLock
  File "/usr/local/lib/python2.7/multiprocessing/synchronize.py", line 59, in <module>
    " function, see issue 3770.")
ImportError: This platform lacks a functioning sem_open implementation, therefore, the required synchronization primitives needed will not function, see issue 3770.

---

The minon 2015.5.2 seems to work fine both inside and outside of jails.

Salt-master 2014.7.5 worked fine before, never had a chance to test 2015.5.1

Is this working on your end? Thanks
Comment 5 Christer Edwards 2015-06-06 17:19:58 UTC
I have not seen this issue. Is your Python installation built with the SEM option?
Comment 6 Johan Ström 2015-06-07 11:34:00 UTC
python2.7 built in poudriere jail with the following options:

# This file is auto-generated by 'make config'.
# Options for python27-2.7.8_6
_OPTIONS_READ=python27-2.7.8_6
_FILE_COMPLETE_OPTIONS_LIST=DEBUG IPV6 LIBFFI NLS PYMALLOC SEM THREADS UCS2 UCS4
OPTIONS_FILE_UNSET+=DEBUG
OPTIONS_FILE_SET+=IPV6
OPTIONS_FILE_SET+=LIBFFI
OPTIONS_FILE_SET+=NLS
OPTIONS_FILE_SET+=PYMALLOC
OPTIONS_FILE_UNSET+=SEM
OPTIONS_FILE_SET+=THREADS
OPTIONS_FILE_UNSET+=UCS2
OPTIONS_FILE_SET+=UCS4


Building with SEM enabled works fine!

However, I don't think this is something I have deconfigured myself. On possible explanation would be that it was default OFF before july 2014 (https://svnweb.freebsd.org/ports?view=revision&revision=361735), and my old options-file was more than likely created before that. I guess it was OFF before, and when the default changed to ON, it wasn't changed?

Anyhow, problem solved, thanks!